"use client";
'use strict';

var jsxRuntime = require('react/jsx-runtime');
var signupWithFingerprintClient = require('./signup-with-fingerprint-client.js');
var signinWithFingerprintClient = require('./signin-with-fingerprint-client.js');

/**
 * Create a SignUp page with fingerprint support
 * Note: This must be used within a FingerprintProvider
 */
function createSignUpPageWithFingerprint() {
    return function SignUpPage() {
        return (jsxRuntime.jsx("div", { className: "flex-1 flex justify-center m-16", children: jsxRuntime.jsx(signupWithFingerprintClient.SignUpWithFingerprint, {}) }));
    };
}
/**
 * Create a SignIn page with fingerprint support
 * Note: This must be used within a FingerprintProvider
 */
function createSignInPageWithFingerprint() {
    return function SignInPage() {
        return (jsxRuntime.jsx("div", { className: "flex-1 flex justify-center m-16", children: jsxRuntime.jsx(signinWithFingerprintClient.SignInWithFingerprint, {}) }));
    };
}

exports.createSignInPageWithFingerprint = createSignInPageWithFingerprint;
exports.createSignUpPageWithFingerprint = createSignUpPageWithFingerprint;
